跳到主要内容

Create Issue

POST 

/api/v5/repos/:owner/issues

Request​

Path Parameters

    owner stringrequired

    Repository space address (organization or individual's address path)

Query Parameters

    access_token stringrequired

    User authorization code

Body

    repostringrequired

    Repository path

    titlestringrequired

    Issue Title

    bodystringrequired

    Issue Description

    assigneestring

    Issue Owner's username, separated by English commas for multiple ones

    milestoneinteger

    Milestone Sequence Number

    labelsstring

    A comma-separated list of labels, where the name must be between 2-20 characters long and cannot contain special characters. For example: bug,performance

    security_holestring

    Whether it is a private issue (default is false)

    template_pathstring

    issue template path, project templates support files under the .gitcode, .github, .gitee directories, and organization templates only support files under the .gitcode directory of the .gitcode project.

    issue_typestring

    Issue Type (Enterprise version supported), the set value needs to be consistent with the settings in the advanced features of enterprise issue

    issue_severitystring

    Issue Priority (Enterprise Edition supported), the setting value should be consistent with the settings in the advanced issue features of the enterprise.

    custom_fields object[]

    Custom field information (Enterprise edition supported)

  • Array [
  • field_namestring

    Field Name

    field_valuesstring[]

    Field value array

  • ]

Responses​

Successful Response

Response Headers
    Schema
      idinteger
      html_urlstring
      numberinteger
      statestring
      titlestring
      bodystring
      user object
      avatar_urlstring
      events_urlnull
      followers_urlnull
      following_urlnull
      gists_urlnull
      html_urlstring
      idstring
      loginstring
      member_rolenull
      namestring
      organizations_urlnull
      received_events_urlnull
      remarknull
      repos_urlnull
      starred_urlnull
      subscriptions_urlnull
      typenull
      urlnull
      assigneenull
      repository object
      idinteger
      full_namestring
      pathstring
      namestring
      descriptionstring
      created_atstring
      updated_atstring
      created_atstring
      updated_atstring
      finished_atnull
      labels object[]
    • Array [
    • idinteger
      namestring
      colorstring
      created_atstring
      updated_atstring

      label added time

    • ]
    • stagestring
      severitystring
      custom_fields object[]

      Custom field information

    • Array [
    • field_namestring

      Custom Field Name

      field_typestring

      Field type. text_single: single line text, text_multi: multi-line text, integer: integer, decimal: decimal, date: date, select_single: single select dropdown, select_multi: multi-select dropdown, member_single: single select member, member_multi: multi-select member

      field_visibilitystring

      Visibility. 0: Visible to administrators only, 1: Visible to everyone

      field_valuesstring[]

      Custom field value

    • ]